Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMAttribute

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.SOMBasic
                  |
                  +--com.bea.schema.SOMAttribute

public class SOMAttribute
extends SOMBasic

<attribute> The XML representation for an attribute declaration schema component is an <attribute> element information item. It specifies a simple type definition for an attribute either by reference or explicitly, and may provide default information.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `SOMSchema`, Serialized Form

Field Summary
`static short` | `DEFAULT` Deprecated. replaced by default attribute
`static short` | `FIXED` Deprecated. replaced by fixed attribute
`static short` | `OPTIONAL`
`static short` | `PROHIBITED`
`static short` | `REQUIRED`

Constructor Summary
`protected` | `SOMAttribute(org.xml.sax.Attributes attrs, SOMObject parent)` constructor for use with SAX parser, loading SOM from a file.
`` | `SOMAttribute(java.lang.String name)` Construct an <attribute> where type is defaulted to SOMType.STRING
`` | `SOMAttribute(java.lang.String name, SOMType type)` Construct an <attribute>

Method Summary
`java.util.Map` | `getAttributes(boolean getAll)` retrieve the attributes for this schema element.
`java.lang.String` | `getDefault()` get the "default" attribute.
`java.lang.String` | `getFixed()` get the "fixed" attribute.
`java.lang.String` | `getID()` <xsd:attribute>
`short` | `getUse()` get the "use" attribute.
`java.lang.String` | `getUseString()` get the "use" attribute.
`java.lang.String` | `getValue()` Deprecated. "fixed" and "default" attributes replaced "value"
`SOMType` | `setType(SOMType type)` Valid types for SOMAttribute are SOMElementalType's, SOMSimpleType, and SOMAnnotation
`void` | `setUse(short p_use)` set the use attribute.
`void` | `setUse(java.lang.String p_use)` set the use attribute.
`void` | `setValue(java.lang.String p_value)` Deprecated. "fixed" and "default" attributes replaced "value"

Methods inherited from class com.bea.schema.SOMBasic
`addAnnotation, addAnnotation, addChild, addComplexType, addDocumentation, addSequence, addSimpleType, contains, getAnnotation, getForm, getName, getRef, getType, getTypeName, isRef, isValidatingContent, removeAnnotation, setDefault, setFixed, setForm, setName, setRef, setRef, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OPTIONAL

    public static final short OPTIONAL

### PROHIBITED

    public static final short PROHIBITED

### REQUIRED

    public static final short REQUIRED

### DEFAULT

    public static final short DEFAULT

  Deprecated. replaced by default attribute
  Since:
    May 2, 2001

### FIXED

    public static final short FIXED

  Deprecated. replaced by fixed attribute
  Since:
    May 2, 2001

Constructor Detail

### SOMAttribute

    public SOMAttribute(java.lang.String name)

  Construct an <attribute> where type is defaulted to SOMType.STRING

  Parameters:
    `name` - <attribute name="...">

### SOMAttribute

    public SOMAttribute(java.lang.String name,
                        SOMType type)

  Construct an <attribute>

  Parameters:
    `name` - <attribute name="...">
    `type` - <attribute type="..."> If the type parameter is null, the default type is set to SOMType.STRING.

### SOMAttribute

    protected SOMAttribute(org.xml.sax.Attributes attrs,
                           SOMObject parent)

  constructor for use with SAX parser, loading SOM from a file.

  Parameters:
    `attrs` -

Method Detail

### setType

    public SOMType setType(SOMType type)

  Valid types for SOMAttribute are SOMElementalType's, SOMSimpleType, and SOMAnnotation

  Parameters:
    `type` -
  Returns:
    a reference to the SOMType object that was just inserted as 'type'
  Overrides:
    setType in class SOMBasic

### setUse

    public void setUse(java.lang.String p_use)

  set the use attribute. Valid values for use are optional, prohibited, required, default, and fixed. Any other value will throw an IllegalArgumentException

  Parameters:
    `p_use` - optional, prohibited, required, default, and fixed.

### setUse

    public void setUse(short p_use)

  set the use attribute. Valid values for use are the constants OPTIONAL, PROHIBITED, REQUIRED, DEFAULT, and FIXED. Any other value will throw an IllegalArgumentException.

  Parameters:
    `p_use` - OPTIONAL, PROHIBITED, REQUIRED, DEFAULT, and FIXED.

### setValue

    public void setValue(java.lang.String p_value)

  Deprecated. "fixed" and "default" attributes replaced "value"
  set the value attribute. A value is required if the use attribute is set to default or fixed.

  Parameters:
    `p_value` -
  Since:
    Mar 16, 2001

### getUse

    public short getUse()

  get the "use" attribute. optional | prohibited | required

### getUseString

    public java.lang.String getUseString()

  get the "use" attribute. optional | prohibited | required

### getValue

    public java.lang.String getValue()

  Deprecated. "fixed" and "default" attributes replaced "value"

  Returns:
    value attribute
  Since:
    Mar 16, 2001

### getFixed

    public java.lang.String getFixed()

  get the "fixed" attribute.

  Overrides:
    getFixed in class SOMBasic

### getDefault

    public java.lang.String getDefault()

  get the "default" attribute.

  Overrides:
    getDefault in class SOMBasic

### getID

    public java.lang.String getID()

  <xsd:attribute>

  Overrides:
    getID in class SOMObject

### getAttributes

    public java.util.Map getAttributes(boolean getAll)

  retrieve the attributes for this schema element. If getAll is false, only the attributes that are not set to their default value are returned. If getAll is true, all possible attributes for this element will be returned.

  Parameters:
    `getAll` - get all attributes
  Returns:
    a Hashtable of attributes, where the attribute name and value are stored as strings.
  Overrides:
    getAttributes in class SOMBasic

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)